/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT (C) Microsoft Corporation, 1989                                 */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/*static char *SCCSID = "@(#)string.h	6.1 90/11/16";*/
/***
*string.h - declarations for string manipulation functions
*
*
*Purpose:
*	This file contains the function declarations for the string
*	manipulation functions.
*	[ANSI/System V]
*
****/

#ifndef	CALLTYPE
#define	CALLTYPE	_cdecl
#endif	/* CALLTYPE */


#ifndef _SIZE_T_DEFINED
typedef unsigned int size_t;
#define _SIZE_T_DEFINED
#endif


/* function prototypes */

void * CALLTYPE memccpy(void *, const void *, int, unsigned int);
void * CALLTYPE memchr(const void *, int, size_t);
int _stdcall memcmp(const void *, const void *, size_t);
int CALLTYPE memicmp(const void *, const void *, unsigned int);
void * _stdcall memcpy(void *, const void *, size_t);
void * CALLTYPE memmove(void *, const void *, size_t);
void * _stdcall memset(void *, int, size_t);
void CALLTYPE movedata(unsigned int, unsigned int, unsigned int, unsigned int, unsigned int);

char * _stdcall strcat(char *, const char *);
char * CALLTYPE strchr(const char *, int);
int _stdcall strcmp(const char *, const char *);
int CALLTYPE strcmpi(const char *, const char *);
int CALLTYPE strcoll(const char *, const char *);
int CALLTYPE stricmp(const char *, const char *);
char * _stdcall strcpy(char *, const char *);
size_t CALLTYPE strcspn(const char *, const char *);
char * CALLTYPE strdup(const char *);
char * CALLTYPE _strerror(const char *);
char * CALLTYPE strerror(int);
size_t _stdcall strlen(const char *);
char * CALLTYPE strlwr(char *);
char * CALLTYPE strncat(char *, const char *, size_t);
int CALLTYPE strncmp(const char *, const char *, size_t);
int CALLTYPE strnicmp(const char *, const char *, size_t);
char * CALLTYPE strncpy(char *, const char *, size_t);
char * CALLTYPE strnset(char *, int, size_t);
char * CALLTYPE strpbrk(const char *, const char *);
char * CALLTYPE strrchr(const char *, int);
char * CALLTYPE strrev(char *);
char * _stdcall strset(char *, int);
size_t CALLTYPE strspn(const char *, const char *);
char * CALLTYPE strstr(const char *, const char *);
char * CALLTYPE strtok(char *, const char *);
char * CALLTYPE strupr(char *);
size_t CALLTYPE strxfrm (char *, const char *, size_t);
